org.eclnt.jsfserver.elements

## Class BaseActionComponent

- java.lang.Object
- - UIComponentBase
  - - org.eclnt.jsfserver.elements.BaseComponent
    - - org.eclnt.jsfserver.elements.BaseActionComponent

- All Implemented Interfaces:
    java.io.Serializable, CLogConstants
  Direct Known Subclasses:
    BaseHTMLActionComponent, BasePopupComponent, SCBaseActionComponent, StructureComponent

      public abstract class BaseActionComponent
      extends BaseComponent
      implements CLogConstants

  Is decoding "ID.action" and is invoking the Action accordingly.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.elements.BaseComponent

      `BaseComponent.DecodePassData, BaseComponent.IEventQueue`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.ArrayList<ActionListener>` | `m_actionListeners`
    `protected boolean` | `m_immediate`

    - ### Fields inherited from class org.eclnt.jsfserver.elements.BaseComponent

      `m_attributesIsDynamicInfo, m_attributesIsManagedViaAdapterBinding, m_attributesReferenceInfo, m_attributesSetViaStyle, m_attributesTakeOverInfo, m_currentDump, m_explicitlyNulledAttributes, m_lastDumpRequestSequenceId, m_previousDump, m_styleValues, m_tagAttributes`

    - ### Fields inherited from interface org.eclnt.util.log.CLogConstants

      `LL_DBG, LL_ERR, LL_INF, LL_WAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseActionComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActionListener(ActionListener actionListener)`
    `void` | `broadcast(FacesEvent event)`
    `void` | `clearActionListeners()`
    `protected BaseActionEvent` | `createBaseActionEvent(java.lang.String command, java.lang.String value)` Creates an faces event to be passed into the actionListener processing.
    `void` | `decode(FacesContext context)`
    `void` | `decode(FacesContext context, java.lang.String clientId, java.lang.String commandSuffix)`
    `MethodBinding` | `getAction()`
    `MethodBinding` | `getActionListener()` Deprecated.
    `ActionListener[]` | `getActionListeners()`
    `java.util.List<ActionListener>` | `getActionListenersAsList()`
    `ActionListener` | `getFirstActionListener()`
    `boolean` | `isImmediate()`
    `void` | `removeActionListener(ActionListener actionListener)`
    `void` | `restoreState(FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(FacesContext context)`
    `void` | `setAction(MethodBinding methodBinding)`
    `void` | `setActionListener(MethodBinding methodBinding)` Deprecated.
    `void` | `setImmediate(boolean arg0)`
    `BaseActionEvent` | `triggerActionEvent(FacesContext context, java.lang.String command, java.lang.String value, boolean immediate)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.BaseComponent

      `addExplicitlyNulledAttribute, addValueBindingExec, addValueExpressionExec, appendDecodeInformation, applyChangedStyleVariant, buildAttributesIsDynamicInfo, checkIfAttributeIsExplicitlyNulled, checkIfAttributesIsManagedByExpression, checkIfComponentHasAdapterBinding, checkIfComponentIdIsPartOfRequest, checkIfComponentTagIsAvailable, checkIfEncodeCalledFirstTime, checkIfStyleVariantIsDynamic, checkIfStyleVariantWasUpdated, checkIfToTakeOverAttribute, convertValueDuringDecode, convertValueDuringGetAttribute, createNewIdCounter, createSubId, createSubId, destroy, detectChangesInSubComponents, encodeBegin, encodeChildren, encodeEnd, ensureSessionIsValid, executeQueueingOfBufferedEvents, findContentReplaceListDuringRendering, findCurrentDump, getAdapterBindingAterEncodeBegin, getApplicationReference, getAttributeFromAdapterBinding, getAttributeFromAdapterBinding, getAttributesGet, getAttributesGet, getAttributesSetViaStyle, getAttributeString, getAttributeValueAsString, getChild, getClientTagName, getComponentAdapterBinding, getComponentClass, getExpressionFromComponentAttribute, getFamily, getInnerEventRequestId, getOriginalAttributeString, getParameterNameForDecode, getPreferredDataType, getRendersChildren, getSavedState, getTagAttributes, isDestroyed, isRendered, m_componentRepository, passPropertyUsage, passStyleValues, processDecodes, processUpdates, processValidators, queueEvent, queueEventExecute, reactOnSetPropertiesByTagFinished, readAttributeValueDuringEncodeFromAttributesOrFromAdapterBinding, readCurrentComponentDump, readDefaultUpdateAttribute, readPreviousComponentDump, readTagAttributes, readTagAttributesSet, registerInnerEvent, renderComponentNoChange, resetInternalAttributeBuffer, resetPreviousDump, resolveComponentValueAsString, retrieveValueFromComponent, setApplicationReference, setAttributeValueFromOutside, setComponentBinding, setCurrentComponentDump, setExpressionAsComponentAttributeFromOutside, setParent, setRendered, setRendersChildren, updateAttributeValue, updateComponentBinding`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_actionListeners

          protected java.util.ArrayList<ActionListener> m_actionListeners

    - #### m_immediate

          protected boolean m_immediate

  - ### Constructor Detail

    - #### BaseActionComponent

          public BaseActionComponent()

  - ### Method Detail

    - #### saveState

          public java.lang.Object saveState(FacesContext context)

      Overrides:
        `saveState` in class `BaseComponent`

    - #### restoreState

          public void restoreState(FacesContext context,
                                   java.lang.Object state)

      Overrides:
        `restoreState` in class `BaseComponent`

    - #### decode

          public void decode(FacesContext context)

      Overrides:
        `decode` in class `BaseComponent`

    - #### decode

          public void decode(FacesContext context,
                             java.lang.String clientId,
                             java.lang.String commandSuffix)

    - #### triggerActionEvent

          public BaseActionEvent triggerActionEvent(FacesContext context,
                                                    java.lang.String command,
                                                    java.lang.String value,
                                                    boolean immediate)

      Parameters:
        `immediate` - false => normal execution in INVOKE-phase, true => execution in UPDATE-phase

    - #### createBaseActionEvent

          protected BaseActionEvent createBaseActionEvent(java.lang.String command,
                                                          java.lang.String value)

      Creates an faces event to be passed into the actionListener processing. This method can be overridden in case of adding own events that are not covered by the general processing.

    - #### broadcast

          public void broadcast(FacesEvent event)
                         throws AbortProcessingException

      Throws:
        `AbortProcessingException`

    - #### clearActionListeners

          public void clearActionListeners()

    - #### addActionListener

          public void addActionListener(ActionListener actionListener)

    - #### getFirstActionListener

          public ActionListener getFirstActionListener()

      Returns:
        Returns the action listener of this component. By definition this is the one defined via the actionListener statement.

    - #### getActionListenersAsList

          public java.util.List<ActionListener> getActionListenersAsList()

    - #### getActionListeners

          public ActionListener[] getActionListeners()

    - #### isImmediate

          public boolean isImmediate()

    - #### removeActionListener

          public void removeActionListener(ActionListener actionListener)

    - #### getAction

          public MethodBinding getAction()

    - #### setAction

          public void setAction(MethodBinding methodBinding)

    - #### getActionListener

          @Deprecated
          public MethodBinding getActionListener()

      Deprecated.

    - #### setActionListener

          @Deprecated
          public void setActionListener(MethodBinding methodBinding)

      Deprecated.

    - #### setImmediate

          public void setImmediate(boolean arg0)

Copyright © CaptainCasa Gmbh. All Rights Reserved.